## crackle 0.1~git01282014

=== Makefile ===
CC          ?= gcc
INSTALL     ?= /usr/bin/install
INSTALL_DIR ?= /usr/local/bin

OBJS = crackle.o aes.o aes-ccm.o aes-enc.o test.o

CFLAGS  = -Wall -Werror -g
LDFLAGS = -lpcap

all: crackle

crackle: $(OBJS)
	$(CC) -o crackle $(OBJS) $(LDFLAGS)

install: crackle
	$(INSTALL) -m 0755 crackle $(INSTALL_DIR)

uninstall:
	rm -f $(INSTALL_DIR)/crackle

clean:
	rm -f crackle $(OBJS)

=== debian/changelog ===
crackle (0.1~git01282014-0parrot2) lory-updates; urgency=medium

  * Add missing Maintainer field.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 02 Dec 2023 00:05:40 +0100

crackle (0.1~git01282014-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:36:28 +0200

crackle (0.1~git01282014-0kali3) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository.
  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs
  [ Steev Klimaszewski ]
  * Update d/watch to point to git.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 03 Jan 2023 14:41:35 -0600

crackle (0.1~git01282014-0kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.0
  * Improve debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Nov 2020 11:28:37 +0100

crackle (0.1~git01282014-0kali1) kali; urgency=low

  * Initial release (Closes: 0001004)

 -- Devon Kearns <dookie@kali.org>  Wed, 29 Jan 2014 14:37:08 -0700

=== debian/control ===
Source: crackle
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), libpcap-dev
Standards-Version: 4.6.1
Homepage: https://github.com/mikeryan/crackle

Package: crackle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcap0.8
Description: Crack and decrypt BLE encryption
 crackle exploits a flaw in the BLE pairing process that allows an attacker to
 guess or very quickly brute force the TK (Temporary Key). With the TK and other
 data collected from the pairing process, the STK (Short Term Key) and later the
 LTK (Long Term Key) can be collected.
 .
 With the STK and LTK, all communications between the master and the slave can
 be decrypted

## crackle 0.1~git20201212

=== debian/changelog ===
crackle (0.1~git20201212-0kali1~jan+nur1) kali-experimental; urgency=low

  [ Kali Janitor ]
  * New upstream snapshot.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Mon, 23 Jan 2023 00:24:30 -0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: crackle
 Section: utils
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Devon Kearns <dookie@kali.org>,
+           Sophie Brun <sophie@offensive-security.com>,
 Build-Depends: debhelper-compat (= 13), libpcap-dev
 Standards-Version: 4.6.1
 Homepage: https://github.com/mikeryan/crackle
+Vcs-Git: https://gitlab.com/kalilinux/packages/crackle.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/crackle
 
 Package: crackle
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_test:

override_dh_auto_install:
	install crackle $(CURDIR)/debian/crackle/usr/bin/

=== debian/watch ===
version=4
opts="mode=git, pretty=0.1~git%cd, pgpmode=none" \
   https://github.com/mikeryan/crackle HEAD debian
# Upstream does not tag releases, it was requested
# https://github.com/mikeryan/crackle/issues/50 so leave this here for when they
# do.
#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/crackle-$1\.tar\.gz/ \
#  https://github.com/mikeryan/crackle/tags .*/v?(\d\S*)\.tar\.gz

## crackle 0.1%2bgit20201212.1.d83b4b6

=== Makefile ===
CC          ?= gcc
INSTALL     ?= /usr/bin/install
DESTDIR     ?=
PREFIX      ?= /usr/local
INSTALL_DIR ?= $(DESTDIR)/$(PREFIX)/bin

OBJS = crackle.o aes.o aes-ccm.o aes-enc.o test.o

CFLAGS  ?= -O2 -Wall -Werror -g
LDFLAGS ?=

all: crackle

crackle: $(OBJS)
	$(CC) $(CFLAGS) -o crackle $(OBJS) -lpcap $(LDFLAGS)

install: crackle
	$(INSTALL) -d $(INSTALL_DIR)
	$(INSTALL) -m 0755 crackle $(INSTALL_DIR)

uninstall:
	rm -f $(INSTALL_DIR)/crackle

clean:
	rm -f crackle $(OBJS)

test: crackle
	cd tests && ./run_tests.pl ../crackle

## crackle 0.1+git20201212.1.d83b4b6

=== debian/changelog ===
crackle (0.1+git20201212.1.d83b4b6-1~jan+nus3) kali-bleeding-edge; urgency=low

  * New upstream snapshot.
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Sat, 10 Jul 2021 09:49:59 -0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Devon Kearns <dookie@kali.org>,
-           Sophie Brun <sophie@offensive-security.com>,
 Build-Depends: debhelper-compat (= 13), libpcap-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/mikeryan/crackle
 Vcs-Git: https://gitlab.com/kalilinux/packages/crackle.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/crackle

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:

override_dh_auto_install:
	install crackle $(CURDIR)/debian/crackle/usr/bin/
